Blame tests/slow/test-ciphers-common.sh

Packit aea12f
# Copyright (C) 2014 Red Hat, Inc.
Packit aea12f
#
Packit aea12f
# Author: Nikos Mavrogiannopoulos
Packit aea12f
#
Packit aea12f
# This file is part of GnuTLS.
Packit aea12f
#
Packit aea12f
# GnuTLS is free software; you can redistribute it and/or modify it
Packit aea12f
# under the terms of the GNU General Public License as published by the
Packit aea12f
# Free Software Foundation; either version 3 of the License, or (at
Packit aea12f
# your option) any later version.
Packit aea12f
#
Packit aea12f
# GnuTLS is distributed in the hope that it will be useful, but
Packit aea12f
# WITHOUT ANY WARRANTY; without even the implied warranty of
Packit aea12f
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Packit aea12f
# General Public License for more details.
Packit aea12f
#
Packit aea12f
# You should have received a copy of the GNU General Public License
Packit aea12f
# along with GnuTLS; if not, write to the Free Software Foundation,
Packit aea12f
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
Packit aea12f
Packit aea12f
unset RETCODE
Packit aea12f
if ! test -z "${VALGRIND}"; then
Packit aea12f
	VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
Packit aea12f
fi
Packit aea12f
Packit aea12f
srcdir="${srcdir:-.}"
Packit aea12f
. "${srcdir}/../scripts/common.sh"
Packit aea12f
Packit aea12f
${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "default cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
# All optimizations disabled
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x1 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "included cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
exit_if_non_x86
Packit aea12f
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x2 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "AESNI cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x4 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "SSSE3 cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
#AESNI+PCLMUL
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0xA ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "PCLMUL cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
#AESNI+PCLMUL+AVX
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x1A ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "PCLMUL-AVX cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x100000 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "padlock cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x200000 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "padlock PHE cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
GNUTLS_CPUID_OVERRIDE=0x400000 ${PROG}
Packit aea12f
ret=$?
Packit aea12f
if test $ret != 0; then
Packit aea12f
	echo "padlock PHE SHA512 cipher tests failed"
Packit aea12f
	exit $ret
Packit aea12f
fi
Packit aea12f
Packit aea12f
exit 0